:: This script installs useful utilities in three Docker containers: 'postgres', 'metastore', and 'hiveserver2'.

:: Utilities installed: ping, nano, vim, net-tools (ifconfig, netstat), curl, wget, htop, lsof, telnet, jq, zip, unzip, tar, sudo.

:: It navigates to the script's folder and installs the utilities in each container.

:: After running, these tools will be available for use inside the containers.


@echo off
:: Navigate to the current folder
cd /d "%~dp0"

:: Define the list of utilities to install
set utilities=iputils-ping nano vim net-tools curl wget htop lsof telnet jq zip unzip tar sudo

:: Install utilities in the 'postgres' container
echo Installing utilities in 'postgres' container...
docker exec -it postgres apt-get update
docker exec -it postgres apt-get install -y %utilities%

:: Install utilities in the 'metastore' container
echo Installing utilities in 'metastore' container...
docker exec -it metastore apt-get update
docker exec -it metastore apt-get install -y %utilities%

:: Install utilities in the 'hiveserver2' container
echo Installing utilities in 'hiveserver2' container...
docker exec -it hiveserver2 apt-get update
docker exec -it hiveserver2 apt-get install -y %utilities%

echo Utilities installation completed.
pause
